<template lang="pug">
	div
		PWABanner
		header(role="banner"): router-link(to="/"): h1 {{ site.title }}
</template>

<script>
	import site from '~/globals/site';

	const PWABanner = async () => await import('~/views/PWABanner');

	export default {
		name: 'SiteHeader',
		components: { PWABanner },
		data () {
			return { site };
		}
	};
</script>

<style lang="scss" scoped>
	@import "~/scss/variables";

	a {
		color: $fg;
		outline: 0;

		&:hover { text-decoration: none; }

		h1 {
			font-size: 3rem;
			font-weight: 600;
			letter-spacing: 0.75rem;
			text-align: center;
			line-height: 1.6em;
			margin: 2rem 0;
		}
	}
</style>
